Create a confirmation mail
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/confirmations
clientIdstringClient ID
acceptstringGenerated from available response content types
recipientListIdsarray<p>Comma-separated list of recipient list IDs</p>
contentstring<p>Mailing content (plain text)</p>
subjectstringMailing subject
senderAddressstringMailing sender address
subjectForTargetGroupstring<p>Subject for a specific target group. Set "subject.[targetGroupId]" in request data (only email).Does not work with the "Try it out" feature.</p>
replyToAddressstring<p>Reply-to address (only email)</p>
archiveEnabledbooleanToggle whether a mailing can be archived or not
iconMetaDatastring<p>Icon meta data. Configure "icon.[attribute]".Does not work with the "Try it out" feature.</p>
archivePeriodstring<ONE_MONTH | TWO_MONTHS | THREE_MONTHS | SIX_MONTHS | ONE_YEAR | TWO_YEARS>Period suggesting for how long a mailing should be archived
resetReplyToAddressboolean<p>If true, the local part of the reply-to address is reset</p>
replyToNamestring<p>Reply-to mailing name (only email)</p>
resetPayloadboolean<p>If true, all payload parameters are deleted. All set parameters within this request remain (only Web Push mailings).</p>
namestringMailing name
payloadstring<p>Payload parameters for Mobile Push and Web Push. Set "payload.[name]" in request data.Does not work with the "Try it out" feature.</p>
descriptionstringMailing description
senderNamestring<p>Mailing sender name (only email)</p>
mediaCodestring<p>Media code (only email)</p>
imagestringImage for the Web Push message
clickActionstringClick action for the Web Push message
pushTypestring<MOBILE | WEB>Push type
iconstringIcon for the Web Push message
201Confirmation mail was created successfully
400Request parameters were not valid
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/confirmations \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'recipientListIds=array' \
--data 'content=string' \
--data 'subject=string' \
--data 'senderAddress=string'